=== modified file 'drizzled/error.cc'
--- drizzled/error.cc	2008-11-29 00:09:36 +0000
+++ drizzled/error.cc	2008-12-18 15:55:03 +0000
@@ -197,7 +197,7 @@
 /* ER_NO_SUCH_INDEX 42S12 S1009 */
 N_("Table '%-.192s' has no index like the one used in CREATE INDEX; recreate the table"),
 /* ER_WRONG_FIELD_TERMINATORS 42000 S1009 */
-N_("Field separator argument is not what is expected; check the manual"),
+N_("Field separator argument '%-.32s' with length '%d' is not what is expected; check the manual"),
 /* ER_BLOBS_AND_NO_TERMINATED 42000 S1009 */
 N_("You can't use fixed rowlength with BLOBs; please use 'fields terminated by'"),
 /* ER_TEXTFILE_NOT_READABLE   */

=== modified file 'drizzled/sql_load.cc'
--- drizzled/sql_load.cc	2008-12-17 04:02:20 +0000
+++ drizzled/sql_load.cc	2008-12-18 15:55:03 +0000
@@ -134,10 +134,10 @@
   bool transactional_table;
   Session::killed_state killed_status= Session::NOT_KILLED;
 
-  if (escaped->length() > 1 || enclosed->length() > 1)
+  /* Escape and enclosed character may be a utf8 4-byte character */
+  if (escaped->length() > 4 || enclosed->length() > 4)
   {
-    my_message(ER_WRONG_FIELD_TERMINATORS,ER(ER_WRONG_FIELD_TERMINATORS),
-	       MYF(0));
+    my_error(ER_WRONG_FIELD_TERMINATORS,MYF(0),enclosed->c_ptr(), enclosed->length());
     return(true);
   }
   if (open_and_lock_tables(session, table_list))

=== added file 'tests/std_data/bug308457.txt'
--- tests/std_data/bug308457.txt	1970-01-01 00:00:00 +0000
+++ tests/std_data/bug308457.txt	2008-12-18 15:55:03 +0000
@@ -0,0 +1,1 @@
+☢☠☢

